Author: jfrederic.clere(a)jboss.com
Date: 2008-01-30 04:38:08 -0500 (Wed, 30 Jan 2008)
New Revision: 1310
Modified:
trunk/build/unix/buildsrc.rhel-httpd.sh
Log:
Copy the makefile for NMAKE in the source tree.
Modified: trunk/build/unix/buildsrc.rhel-httpd.sh
===================================================================
--- trunk/build/unix/buildsrc.rhel-httpd.sh 2008-01-29 18:39:37 UTC (rev 1309)
+++ trunk/build/unix/buildsrc.rhel-httpd.sh 2008-01-30 09:38:08 UTC (rev 1310)
@@ -89,6 +89,22 @@
dirsources=${native_dist}/srclib/${dirsources}
#
+# Copy the windows NMAKE files (and additional stuff).
+dirnmake=${build_top}/../../httpd/httpd-2.2/
+if [ -d ${dirnmake} ]; then
+ for file in `(cd ${dirnmake}; find . -type f | grep -v .svn | sed 's:./::')`
+ do
+ dir=`dirname $file`
+ echo "copying ${dirnmake}/$file to ${dirsources}/${dir}"
+ cp -p ${dirnmake}/$file ${dirsources}/${dir}
+ done
+else
+ echo "Failed can't find makefiles for NMAKE"
+ exit 1
+fi
+
+
+#
# Read the patches list and apply them
WHERE=${native_dist}/tools
mkdir -p ${WHERE}